現在地: セキュリティセンター > Mozilla Foundation セキュリティアドバイザリ > MFSA 2016-31

Mozilla Foundation セキュリティアドバイザリ 2016-31

タイトル: 悪意のある NPAPI プラグインによるメモリ破壊
重要度:
公開日: 2016/03/08
報告者: CESG
影響を受ける製品: Firefox、Firefox ESR、Thunderbird

修正済みのバージョン: Firefox 45
  Firefox ESR 38.7
  Thunderbird 38.7

概要

Netscape Plugin Application Programming Interface (NPAPI) サブシステムのクラッシュにつながる恐れのある、NPAPI 内部のダングリングポインタ参照が、GCHQ のセキュリティ部門 CESG によって報告されました。これには、悪意を持って作りこまれた NPAPI プラグインがスクリプトの書かれた Web コンテンツとともに用いられる必要があり、引き起こされた場合、潜在的に悪用可能なクラッシュにつながる問題でした。

Thunderbird では JavaScript が初期設定で無効になっているため、一般的にメールを通じたこれらの脆弱性の悪用は不可能です。ただし、ブラウザもしくはブラウザに類似した機能を利用した場合、潜在的なリスクが生じます。

参考資料